aboutsummaryrefslogtreecommitdiffstats
path: root/main/open-iscsi/APKBUILD
diff options
context:
space:
mode:
authorBartłomiej Piotrowski <b@bpiotrowski.pl>2016-08-01 16:45:29 +0200
committerBartłomiej Piotrowski <b@bpiotrowski.pl>2016-08-01 16:45:29 +0200
commitf82b9243ff8face32ccbfa0d96fbc8172728e168 (patch)
treed73f634c95f25d652e1d20bf404bfb2a7026fdec /main/open-iscsi/APKBUILD
parentf9f00dc58da515cbe8f5efa4687d8604fdd4cb39 (diff)
downloadaports-f82b9243ff8face32ccbfa0d96fbc8172728e168.tar.gz
aports-f82b9243ff8face32ccbfa0d96fbc8172728e168.tar.bz2
aports-f82b9243ff8face32ccbfa0d96fbc8172728e168.tar.xz
main/open-iscsi: use builddir and default_prepare
Diffstat (limited to 'main/open-iscsi/APKBUILD')
-rw-r--r--main/open-iscsi/APKBUILD14
1 files changed, 5 insertions, 9 deletions
diff --git a/main/open-iscsi/APKBUILD b/main/open-iscsi/APKBUILD
index cd9a51972a..0d2136307f 100644
--- a/main/open-iscsi/APKBUILD
+++ b/main/open-iscsi/APKBUILD
@@ -17,26 +17,22 @@ source="http://arch.p5n.pp.ru/~sergej/dl/$pkgname-${_realver}.tar.gz
iscsid.confd
iscsid.conf"
-_builddir="$srcdir"/$pkgname-$_realver
+builddir="$srcdir"/$pkgname-$_realver
prepare() {
- cd "$_builddir"
- for i in $source; do
- case $i in
- *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
- esac
- done
+ default_prepare || return 1
+
# include iscsistart in the package
sed -i -e '/^PROGRAMS = /s/$/ usr\/iscsistart/' Makefile || return 1
}
build() {
- cd "$_builddir"
+ cd "$builddir"
make user || return 1
}
package() {
- cd "$_builddir"
+ cd "$builddir"
make DESTDIR="$pkgdir" install_user || return 1
mkdir -p $pkgdir/usr/bin
mkdir -p $pkgdir/usr/sbin